#

API Docs for: v3.8.1
Show: Inherited Protected Private Deprecated

# DS.RecordArrayManager Class

Defined in: `addon/-private/system/record-array-manager.js:35`
Module: ember-data

- Index
- Methods

## Item Index

### Methods

- createAdapterPopulatedRecordArray
- createRecordArray
- liveRecordArrayFor
- unregisterRecordArray

## Methods

### `createAdapterPopulatedRecordArray`

(

- `modelName`
- `query`

)
DS.AdapterPopulatedRecordArray

Defined in `addon/-private/system/record-array-manager.js:248`

Create a `DS.AdapterPopulatedRecordArray` for a modelName with given query.

#### Parameters:

- `modelName` String
- `query` Object

#### Returns:

DS.AdapterPopulatedRecordArray:

### `createRecordArray`

(

- `modelName`
- `_content`

)
DS.RecordArray

Defined in `addon/-private/system/record-array-manager.js:218`

Create a `DS.RecordArray` for a modelName.

#### Parameters:

- `modelName` String
- `_content` Array

  (optional|private)

#### Returns:

DS.RecordArray:

### `liveRecordArrayFor`

(

- `modelName`

)
DS.RecordArray

Defined in `addon/-private/system/record-array-manager.js:174`

Get the `DS.RecordArray` for a modelName, which contains all loaded records of given modelName.

#### Parameters:

- `modelName` String

#### Returns:

DS.RecordArray:

### `unregisterRecordArray`

(

- `array`

)

Defined in `addon/-private/system/record-array-manager.js:293`

Unregister a RecordArray. So manager will not update this array.

#### Parameters:

- `array` DS.RecordArray